package com.handong.smartservice.JwtAuth;

import java.util.concurrent.TimeUnit;

public class JwtTokenStoreRedis implements JwtTokenStore {

    //private final StringRedisTemplate redisTemplate;
    
    //public JwtTokenStoreRedis(StringRedisTemplate redisTemplate) {
    public JwtTokenStoreRedis() {
    }

    public String get(Long gid) {
        //redisTemplate.opsForValue().get("refreshToken:" + gid);
        return "";
    }

    public void save(Long gid, String token, Long expireTime) {
        //redisTemplate.opsForValue().set("refreshToken:" + gid, token, expireTime, TimeUnit.MILLISECONDS);
    }

    public void delete(Long gid) {
        //redisTemplate.delete("refreshToken:" + gid);
    }
}
